Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain
curl --request GET \
--url https://api.rhino.fi/bridge/config/{chain}/{token}import requests
url = "https://api.rhino.fi/bridge/config/{chain}/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/bridge/config/{chain}/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rhino.fi/bridge/config/{chain}/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rhino.fi/bridge/config/{chain}/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rhino.fi/bridge/config/{chain}/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rhino.fi/bridge/config/{chain}/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"decimals": 123,
"coingeckoId": "<string>",
"token": "<string>",
"address": "<string>",
"chain": "<string>",
"isHiddenPublicly": true,
"aliasFor": "<string>",
"maxDepositLimit": 123,
"maxWithdrawLimit": 123,
"minAmountUsdInContract": 123,
"allowedRouteChains": [
"<string>"
]
}{
"_tag": "InvalidTokenForChain",
"message": "<string>"
}configs
Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain
This endpoint provides key information a chain or token that Rhino.fi supports swapping and/or bridging across as well as field names that should be used in other endpoints.
GET
/
config
/
{chain}
/
{token}
Obtain token and chain details for swapping and/or bridging activity for a specific token on a specific chain
curl --request GET \
--url https://api.rhino.fi/bridge/config/{chain}/{token}import requests
url = "https://api.rhino.fi/bridge/config/{chain}/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/bridge/config/{chain}/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rhino.fi/bridge/config/{chain}/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rhino.fi/bridge/config/{chain}/{token}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rhino.fi/bridge/config/{chain}/{token}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rhino.fi/bridge/config/{chain}/{token}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"decimals": 123,
"coingeckoId": "<string>",
"token": "<string>",
"address": "<string>",
"chain": "<string>",
"isHiddenPublicly": true,
"aliasFor": "<string>",
"maxDepositLimit": 123,
"maxWithdrawLimit": 123,
"minAmountUsdInContract": 123,
"allowedRouteChains": [
"<string>"
]
}{
"_tag": "InvalidTokenForChain",
"message": "<string>"
}Path Parameters
The blockchain that details should be provided for, e.g. "ETHEREUM".
The token that details should be provided for.
Response
ExtendedTokenEntry
API ID of the token within the CoinGecko listing page.
The identifier for the token.
The contract address for the token on the given chain.
The name of the chain.
Available options:
true